> ## Documentation Index
> Fetch the complete documentation index at: https://watermelon.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Conversation



## OpenAPI

````yaml get /conversations/{id}
openapi: 3.0.3
info:
  version: 1.0.0
  title: https://public.watermelon.ai
servers:
  - url: https://public.watermelon.ai/api/v1
security: []
paths:
  /conversations/{id}:
    get:
      summary: Get Conversation
      operationId: GetConversationByID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          description: Conversation id to fetch
      responses:
        '200':
          description: Conversation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Conversation'
        '204':
          description: No conversation found
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Bearer: []
components:
  schemas:
    Conversation:
      type: object
      properties:
        id:
          type: integer
          example: 1
        caller_id:
          type: integer
        user_id:
          type: integer
        service:
          type: string
          enum:
            - telegram
            - facebook
            - mail
            - webchat
            - twitter
            - whatsapp
          example: webchat
        webchat_socket_channel:
          type: string
        new:
          type: boolean
        is_closed:
          type: boolean
        archived:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        deleted_at:
          type: string
          format: date-time
        chatbot_enabled:
          type: boolean
        no_matches_count:
          type: integer
        out_of_office_replied:
          type: boolean
        company_id:
          type: integer
        team_id:
          type: integer
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
    Error:
      type: object
      properties:
        code:
          type: integer
          format: int64
        message:
          type: string
        fields:
          type: string
    Message:
      type: object
      properties:
        id:
          type: integer
        conversation_id:
          type: integer
        user_id:
          type: integer
        type:
          type: string
          enum:
            - text
            - sticker
            - photo
            - video
            - file
            - activity
            - typing
            - attachment
            - emoji
            - location
            - contact
        payload:
          type: string
        new:
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        deleted_at:
          type: string
          format: date-time
        read:
          type: boolean
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````